%global source_date_epoch_from_changelog nil
%global srcname adjust
%global commitid a3af7cb5
%global fullcommitid a3af7cb57cb37747b0667346375536e65b1fed17

Name:           python-vapoursynth-%{srcname}
Version:        2.r.%{commitid}
Release:        1%{?dist}
Summary:        Plugin for Vapoursynth: %{srcname}

License:        MIT-0
URL:            https://github.com/dubhater/vapoursynth-adjust
Source:         %{url}/archive/%{commitid}.zip

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

Requires: vapoursynth

%global _description %{expand:
A Vapoursynth plugin: %{srcname}.}

%description %_description

%package -n python3-vapoursynth-%{srcname}
Summary: %{summary}
%description -n python3-vapoursynth-%{srcname} %{_description}

%prep
%autosetup -p1 -n vapoursynth-%{srcname}-%{fullcommitid}


%build
%python3 -m compileall

%install
install -D -m644 %{srcname}.py %{buildroot}/%{python3_sitelib}/%{srcname}/%{srcname}.py

%files -n python3-vapoursynth-%{srcname}
%{python3_sitelib}/%{srcname}
